### Method

# Cogl Context get_named_pipeline

#### Declaration [src]

    CoglPipeline*
    cogl_context_get_named_pipeline (
      CoglContext* context,
      CoglPipelineKey* key
    )

#### Description

No description available.

#### Parameters

`key`

  Type: `CoglPipelineKey`

  A `CoglPipelineKey` pointer.

  The data is owned by the caller of the method.

#### Return value

Type: `CoglPipeline`

The `CoglPipeline` associated with the given `context` and `key`, or `NULL` if no such `CoglPipeline` was found.

The returned data is owned by the instance.